"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/aspect-ratio.tsx
var aspect_ratio_exports = {};
__export(aspect_ratio_exports, {
  CAspectRatio: () => CAspectRatio
});
module.exports = __toCommonJS(aspect_ratio_exports);
var import_vue = require("vue");
var import_utils = require("@chakra-ui/utils");
var import_vue_system = require("@chakra-ui/vue-system");
var import_vue2 = require("vue");
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue.isVNode)(s);
}
__name(_isSlot, "_isSlot");
var CAspectRatio = (0, import_vue2.defineComponent)({
  name: "CAspectRatio",
  props: {
    ratio: {
      type: [Number],
      default: 4 / 3
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => (0, import_vue.createVNode)(import_vue_system.chakra.div, (0, import_vue.mergeProps)({
      "__label": "aspect-ratio",
      "position": "relative",
      "_before": {
        height: 0,
        content: `""`,
        display: "block",
        paddingBottom: (0, import_utils.mapResponsive)(props.ratio, (r) => `${1 / r * 100}%`)
      },
      "__css": {
        "& > *:not(style)": {
          overflow: "hidden",
          position: "absolute",
          top: "0",
          right: "0",
          bottom: "0",
          left: "0",
          display: "flex",
          justifyContent: "center",
          alignItems: "center",
          width: "100%",
          height: "100%"
        },
        "& > img, & > video": {
          objectFit: "cover"
        }
      }
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CAspectRatio
});
